Subject: Re: [vwrap] Notes ... 6) LLIDL "event-like" resource

From: Mark Lentczner <[email-masked]>
Date: Thu, 1 Apr 2010 15:35:34 -0700

On Mar 30, 2010, at 5:45 PM, David W Levine wrote:
> I'm leaning to saying "Keep LLIDL simple" and adding the simple event 
> messages. We can then stick to prose for describing interaction 
> patterns. 
Agreed!

I think we will come to the conclusion that we need to do the heavy lifting of describing higher level interaction patterns that include event subscription and notification. But any such description will need a small event like transaction unit to build on, and that is what I think is missing from LLIDL.

I'm pretty sure that we can agree on what a description like this means:

	%% stoplight/update
	>> { active: bool, color: string, blink_rate: real }

When bound to HTTP, this probably a POST with a request body, an no response body is expected.

How end-points of that resource class are bound, and if the binding is per-object, or per-resource class (requiring an id within the payload), and how such an event is transferred, will all be needed, but probably not as part of LLIDL. Such interaction should either be in Foundation, or a new draft: Event Subscription.

	- Mark

Mark Lentczner
Sr. Systems Architect
Technology Integration
Linden Lab

[email-masked]

Zero Linden
[email-masked]